Subject: [bug-gnu-emacs] proposed configure.ac change for emacs-26.2

From: "Nelson H. F. Beebe" <[email-masked]>
Date: Fri, 22 Mar 2019 08:09:17 -0600

Testing of the release candidate for emacs-26.2 on Oracle Solaris 11.4
shows that a build fails because lcms2.h is not found in /usr/include.
On that system, and on Hipster, an OpenSolaris relative, that file is
present in /usr/include/lcms.

Discussions with Eli Zaretskii <[email-masked]> suggest that emacs'
configure.ac needs to use pkg-config to identify the correct include
directory for lcms2.h:

	% pkg-config --cflags lcms2
	-I/usr/include/lcms

-------------------------------------------------------------------------------
- Nelson H. F. Beebe                    Tel: +1 801 581 5254                  -
- University of Utah                    FAX: +1 801 581 4148                  -
- Department of Mathematics, 110 LCB    Internet e-mail: [email-masked]  -
- 155 S 1400 E RM 233                       [email-masked]  [email-masked] -
- Salt Lake City, UT 84112-0090, USA    URL: http://www.math.utah.edu/~beebe/ -
-------------------------------------------------------------------------------